# coding: utf-8

lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'lusi_api/version'

Gem::Specification.new do |spec|
  spec.name          = 'lusi_api'
  spec.version       = LUSI::API::VERSION
  spec.authors       = ['Lancaster University Library']
  spec.email         = ['library.dit@lancaster.ac.uk']

  spec.summary       = 'Ruby wrapper to Lancaster University LUSI API.'
  spec.description   = 'Provides a Ruby interface to the Lancaster ' \
                       'University LUSI API.'
  spec.homepage      = 'https://github.com/lulibrary/lusi_api'
  spec.license       = 'MIT'
  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_dependency 'nokogiri', '~> 1.8'
  spec.add_dependency 'rest-client', '~> 2.0'

  spec.add_development_dependency 'bundler', '~> 1.12'
  spec.add_development_dependency 'dotenv', '~> 2.1'
  spec.add_development_dependency 'minitest', '~> 5.0'
  spec.add_development_dependency 'minitest-reporters', '~> 1.1'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'rubocop', '~> 0.49'
  # spec.add_development_dependency 'yard'

  # Use 'yard' to build full HTML docs
  # spec.metadata["yard.run"] = "yri"
end